@echo off
echo POVDOOM monster graphics patch for Doom and Doom2
echo By Iikka Ker„nen, 1995-1996.
echo ˙
echo This patch does not modify the main wad or exe in any way.
echo About 7 megs of disk space may be used (including the zip file).
echo If you want to quit installation, press CTRL-C at "press any key".
echo ˙
echo Installing all sprites to POVSPRIT.WAD. 
echo ˙
pause
if exist doom2.wad goto doom2
if exist doom.wad goto doom
echo I can't find Doom or Doom2 in this directory. Unzip the files to the same
echo directory where you have the main files (Doom.exe, Doom.wad). 
goto loppu

:doom
deusf -as povsprit.wad
echo ˙
echo I have detected Doom1 or Ultimate Doom in this directory. This means you
echo don't need an external exe file to set up the monsters of Doom2. You can
echo play using POVDOOM monsters simply by typing: DOOM -file POVSPRIT.WAD
echo and you can use POVDOOM in deathmatch same way as any other wad.
echo ˙
echo Installation is completed. Enjoy POVDOOM!
goto loppu

:doom2
deusf -as povsprit.wad
echo ˙
echo I have detected Doom2 in this directory. The sprite wad doesn't contain
echo graphics for the monsters which only exist in Doom2, so I will generate
echo an exe file named POVDM.EXE, which makes all monsters have new graphics.
echo This is made by changing their colours. (Hell Knight is a brown version
echo of Baron of Hell etc) You can find more info about this in POVDOOM.TXT
echo ˙

if not exist doomhack.exe goto eihack
echo I'll now copy your old DOOMHACK.EXE (made by Dehacked) to DOOMHACK.OLD.
echo This must be done before I can install my own DEH patch.
echo ˙
copy doomhack.exe doomhack.old
echo ˙
:eihack
echo Installing EXE patch.
dehacked -reload -load povdoom
rename doomhack.exe povdm.exe
echo ˙
echo Installation is completed. You can play by typing "POV".
echo If you want to play Deathmatch or Cooperative, you have to use a front-
echo end that supports external wads; just add POVSPRIT.WAD to the wad list.
echo ˙
echo However, the modified exe is still povdoom.exe, so the monsters which
echo only exist in Doom2 will be normal. The only way to have all the monsters
echo is copying povdm.exe to doom2.exe. Make a backup copy of your Doom2.exe
echo before doing this!!
echo ˙
echo Usually you don't need monster graphics in deathmatch, anyway... :)

:loppu
echo ˙
echo POVDOOM 2.0 made by Iikka Ker„nen, 1995-1996.
